Package net.shibboleth.shared.resolver

# Class CriteriaSet

java.lang.Object
java.util.AbstractCollection<E>
java.util.AbstractSet<T>
net.shibboleth.shared.collection.ClassIndexedSet<Criterion>
net.shibboleth.shared.resolver.CriteriaSet

All Implemented Interfaces:
  `Iterable<Criterion>`, `Collection<Criterion>`, `Set<Criterion>`, `Criterion`

public class CriteriaSet extends ClassIndexedSet<Criterion> implements Criterion
This class holds instances of `Criterion` which are used in resolution or evaluation operations.

## Nested Class Summary

## Nested classes/interfaces inherited from class net.shibboleth.shared.collection.ClassIndexedSet

`ClassIndexedSet.ClassIndexedSetIterator`

## Constructor Summary

Constructors
Constructor
Description
`CriteriaSet()`
Constructor.
`CriteriaSet(Criterion... criteria)`
A convenience constructor for constructing and adding criteria.

## Method Summary

### Methods inherited from class net.shibboleth.shared.collection.ClassIndexedSet

`add, add, clear, contains, equals, get, getIndexClass, hashCode, iterator, remove, size, toString`

### Methods inherited from class java.util.AbstractSet

`removeAll`

### Methods inherited from class java.util.AbstractCollection

`addAll, contains, containsAll, isEmpty, retainAll, toArray, toArray`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream, toArray`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface java.util.Set

`addAll, contains, containsAll, isEmpty, removeAll, retainAll, spliterator, toArray, toArray`

## Constructor Details

### CriteriaSet

public CriteriaSet()
Constructor.

### CriteriaSet

public CriteriaSet(@Nullable @NullableElements Criterion... criteria)
A convenience constructor for constructing and adding criteria.

Parameters:
  `criteria` - criteria to add, may be null or contain null values (which are ignored)